/* 
 * CSS assignments for LADDER (e.g. 14.1) tables.
 *
 * From: https://www.w3schools.com/cssref/css_default_values.asp
 * With adjustment from https://css-tricks.com/complete-guide-table-element/
 *
 * 2021-may-18.
 */

  table {
      display: table;
      table-layout: fixed;
      border: 0.125rem solid black;
      border-collapse: separate;
      border-spacing: 0.125rem;
      padding: 0.125rem;
      vertical-align: top;
      white-space: nowrap;
  }

  caption {
      display: table-caption;
      caption-side: top;
      text-align: center;
  }

  thead {
      display: table-header-group;
      vertical-align: middle;
      border-color: inherit;
  }

  tfoot {
      display: table-footer-group;
      vertical-align: middle;
      border-color: inherit;
  }

  tbody {
      display: table-row-group;
      vertical-align: middle;
      border-color: inherit;
  }

  col {
      display: table-column;
  }

  colgroup {
      display: table-column-group;
  }


  tr {
      display: table-row;
      vertical-align: middle;
      border-color: inherit;
  }

  /* Highlight the row the cursor is on. */
  tr:hover {
      background-color: rgba(126, 255, 0, 0.3);
  }


  th {
      display: table-cell;
      border: 0px solid black;
      border-collapse: separate;
      border-spacing: 0.125rem;
      padding: 0.25rem;
      font-weight: bold;
      text-align: center;
      vertical-align: middle;
  }

  th.fw-n {
      font-weight: normal;
  }

  th.ta-c {
      text-align: center;
  }

  th.ta-r {
      text-align: right;
  }

  td {
      display: table-cell;
      border: 1px solid gray;
      border-collapse: separate;
      border-spacing: 0.125rem;
      padding: 0.25rem;
      font-weight: normal;
      text-align: left;
      vertical-align: middle;
  }

  td.ta-c {
      text-align: center;
  }

  td.ta-r {
      text-align: right;
  }

